Bug 1028455 - [BLOCKED RHEL 6.6] [yum] query groups fails if there's unavailable repo having 'skip_if_unavailable=1'
[BLOCKED RHEL 6.6] [yum] query groups fails if there's unavailable repo havin...
Status: CLOSED UPSTREAM
Product: otopi
Classification: oVirt
Component: Plugins.packagers (Show other bugs)
1.0.0
Unspecified Unspecified
unspecified Severity high (vote)
: ---
: ---
Assigned To: Alon Bar-Lev
yeylon@redhat.com
integration
: Tracking
Depends On: 1029359
Blocks:
  Show dependency treegraph
 
Reported: 2013-11-08 08:37 EST by Jiri Belka
Modified: 2016-04-18 02:52 EDT (History)
10 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-10-14 07:38:09 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
jbelka: devel_ack?


Attachments (Terms of Use)
ovirt-engine-setup-20131108143245.log (15.11 KB, application/x-gzip)
2013-11-08 08:37 EST, Jiri Belka
no flags Details

  None (edit)
Description Jiri Belka 2013-11-08 08:37:40 EST
Created attachment 821617 [details]
ovirt-engine-setup-20131108143245.log

Description of problem:

engine-setup cannot handle an unavaible repo although yum itself can. it seems engine-setup cannot use 'skip_if_unavailable=1' and thus simply fails.

-%-
[root@jb-rh33 yum.repos.d]# cat > foobar.repo
[foobar]
name=foobar
baseurl=http://foobar
gpgcheck=0
enabled=1
skip_if_unavailable=1
[root@jb-rh33 yum.repos.d]# yum check-update
Loaded plugins: product-id, rhnplugin, security, versionlock
This system is receiving updates from RHN Classic or RHN Satellite.
http://foobar/repodata/repomd.xml: [Errno 14] PYCURL ERROR 6 - "Couldn't resolve host 'foobar'"
Trying other mirror.

redhat-support-plugin-rhev.noarch                                   3.3.0-11.el6ev                                            rhevm33                          
rhev-hypervisor6.noarch                                             6.5-20131106.0.el6ev                                      rhevm33                          
rhevm-cli.noarch                                                    3.3.0.10-1.el6ev                                          rhevm33                          
rhevm-dependencies.noarch                                           3.3.3-1.el6ev                                             rhel-x86_64-server-6-rhevm-3-beta
rhevm-image-uploader.noarch                                         3.3.1-1.el6ev                                             rhel-x86_64-server-6-rhevm-3-beta
rhevm-log-collector.noarch                                          3.3.1-3.el6ev                                             rhevm33                          
rhevm-sdk-python.noarch                                             3.3.0.19-1.el6ev                                          rhevm33                          
rhevm-spice-client-x64-cab.noarch                                   3.3-5.el6_4                                               rhevm33                          
rhevm-spice-client-x64-msi.noarch                                   3.3-5.el6_4                                               rhevm33                          
rhevm-spice-client-x86-cab.noarch                                   3.3-5.el6_4                                               rhevm33                          
rhevm-spice-client-x86-msi.noarch                                   3.3-5.el6_4                                               rhevm33                          
rhevm-websocket-proxy.noarch                                        3.3.0-0.32.beta1.el6ev                                    rhevm33       

# yum -y install ksh
Loaded plugins: product-id, rhnplugin, security, versionlock
This system is receiving updates from RHN Classic or RHN Satellite.
http://foobar/repodata/repomd.xml: [Errno 14] PYCURL ERROR 6 - "Couldn't resolve host 'foobar'"
Trying other mirror.
Setting up Install Process
Resolving Dependencies
--> Running transaction check
---> Package ksh.x86_64 0:20120801-10.el6 will be installed
--> Finished Dependency Resolution
...snip...
  Installing : ksh-20120801-10.el6.x86_64                                                                                                                  1/1 
  Verifying  : ksh-20120801-10.el6.x86_64                                                                                                                  1/1 
Installed:
  ksh.x86_64 0:20120801-10.el6                                                                                                                                 
Complete!
-%-

And now engine-setup show...

-%-
# engine-setup 
[ INFO  ] Stage: Initializing
[ INFO  ] Stage: Environment setup
          Configuration files: ['/etc/ovirt-engine-setup.conf.d/10-packaging.conf', '/etc/ovirt-engine-setup.conf.d/20-setup-ovirt-post.conf']
          Log file: /var/log/ovirt-engine/setup/ovirt-engine-setup-20131108143245.log
          Version: otopi-1.1.2 (otopi-1.1.2-1.el6ev)
[ INFO  ] Stage: Environment packages setup
[ INFO  ] Stage: Programs detection
[ INFO  ] Stage: Environment setup
[ INFO  ] Stage: Environment customization
         
          --== PACKAGES ==--
         
[ INFO  ] Checking for product updates...
[ ERROR ] Yum: Cannot retrieve repository metadata (repomd.xml) for repository: foobar. Please verify its path and try again
[ INFO  ] Yum: Performing yum transaction rollback
[ ERROR ] Failed to execute stage 'Environment customization': Cannot retrieve repository metadata (repomd.xml) for repository: foobar. Please verify its path and try again
[ INFO  ] Stage: Clean up
          Log file is located at /var/log/ovirt-engine/setup/ovirt-engine-setup-20131108143245.log
[ INFO  ] Stage: Pre-termination
[ INFO  ] Stage: Termination
[ ERROR ] Execution of upgrade failed
-%-

Version-Release number of selected component (if applicable):
is22

How reproducible:
100%

Steps to Reproduce:
1. make some unavailable repo with 'skip_if_unavailable=1' defined
2. engine-setup # for upgrade
3.

Actual results:
engine-setup fails

Expected results:
behave like yum...

Additional info:
Comment 1 Alon Bar-Lev 2013-11-12 04:08:58 EST
This is a bug in yum:

# yum grouplist
Loaded plugins: priorities, product-id, refresh-packagekit, rhnplugin, subscription-manager, versionlock
This system is not registered to Red Hat Subscription Management. You can use subscription-manager to register.
This system is receiving updates from RHN Classic or RHN Satellite.
Setting up Group Process
http://foobar/repodata/repomd.xml: [Errno 14] PYCURL ERROR 6 - "Couldn't resolve host 'foobar'"
Trying other mirror.
http://foobar/repodata/repomd.xml: [Errno 14] PYCURL ERROR 6 - "Couldn't resolve host 'foobar'"
Trying other mirror.
Error: Cannot retrieve repository metadata (repomd.xml) for repository: foobar. Please verify its path and try again
Comment 3 Alon Bar-Lev 2014-07-06 20:57:53 EDT
Not sure why we track this, not our problem. Anyway, rhel-6.6 should resolve it.
Comment 4 Alon Bar-Lev 2014-10-14 07:38:09 EDT
will be available per bug#1029359 at rhel-6.6

Note You need to log in before you can comment on or make changes to this bug.